<?php
	global $wp_query;
    $content_array = $wp_query->get_queried_object();
	if(isset($content_array->ID)){
    	$post_id = $content_array->ID;
	}
	else $post_id=0;
	$template_uri = get_template_directory_uri();
?>
<!DOCTYPE html>
<!--[if lt IE 7 ]><html class="ie ie6" <?php language_attributes();?>> <![endif]-->
<!--[if IE 7 ]><html class="ie ie7" <?php language_attributes();?>> <![endif]-->
<!--[if IE 8 ]><html class="ie ie8" <?php language_attributes();?>> <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!--><html <?php language_attributes();?>> <!--<![endif]-->

<!--
#######################################
	- THE HEAD PART -
######################################
-->
<head>

    <!-- Basic Page Needs
    ================================================== -->
    <meta http-equiv="Content-Type" content="<?php echo get_bloginfo('html_type'); ?>; charset=<?php echo get_bloginfo('charset'); ?>" />
    <title><?php echo get_bloginfo('name'); ?> <?php echo wp_title(); ?></title>
    <meta name="robots" content="index, follow" />
    
    <!-- Options
	================================================== -->
    <?php
		if ( function_exists( 'get_option_tree') ) {
			/* Favicons */
			$grandeur_fav16 = get_option_tree( 'img_favicon16' );
			if($grandeur_fav16==""){$grandeur_fav16 = get_template_directory_uri().'/img/favicon.ico';}
			$grandeur_fav57 = get_option_tree( 'img_favicon57' );
			if($grandeur_fav57==""){$grandeur_fav57 = get_template_directory_uri().'/img/apple-touch-icon.png';}
			$grandeur_fav72 = get_option_tree( 'img_favicon72' );
			if($grandeur_fav72==""){$grandeur_fav72 = get_template_directory_uri().'/img/apple-touch-icon-72x72.png';}
			$grandeur_fav114 = get_option_tree( 'img_favicon114' );
			if($grandeur_fav114==""){$grandeur_fav114 = get_template_directory_uri().'/img/apple-touch-icon-114x114.png';}

			/* Google Font */
			$headlinefonturl = get_option_tree( 'font_headlineurl' );
			
			/* Responsiveness */
			$grandeur_responsive = get_option_tree('value_responsive', '', false, true );
			if(!is_array($grandeur_responsive)){ $grandeur_responsive = array(); }
		}
	?>
    
    <?php if (in_array("Yes",$grandeur_responsive)){ ?>
    <!-- Mobile Specific Metas
    ================================================== -->
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
     <?php } ?>

	<!-- Favicons
    ================================================== -->
    <link rel="shortcut icon" href="<?php echo $grandeur_fav16 ?>">
	<link rel="apple-touch-icon" href="<?php echo $grandeur_fav57 ?>">
	<link rel="apple-touch-icon" sizes="72x72" href="<?php echo $grandeur_fav72 ?>">
	<link rel="apple-touch-icon" sizes="114x114" href="<?php echo $grandeur_fav114 ?>">
   
    <?php wp_head(); ?>
        
	<!-- IE9 & IE8 Specific Styles
    ================================================== -->
	<!--[if lt IE 9]>
		<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->
    <!-- Styles & Faux Font Fixing IE8 -->
    <!--[if IE 8]>
    	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/ie8.css" type="text/css" media="screen">
        <link href='http://fonts.googleapis.com/css?family=Open+Sans:300' rel='stylesheet' type='text/css'>
        <link href='http://fonts.googleapis.com/css?family=Open+Sans:300italic' rel='stylesheet' type='text/css'>
        <link href='http://fonts.googleapis.com/css?family=Open+Sans:400' rel='stylesheet' type='text/css'>
        <link href='http://fonts.googleapis.com/css?family=Open+Sans:400italic' rel='stylesheet' type='text/css'>
        <link href='http://fonts.googleapis.com/css?family=Open+Sans:700' rel='stylesheet' type='text/css'>
        <link href='http://fonts.googleapis.com/css?family=Open+Sans:700italic' rel='stylesheet' type='text/css'>
    <![endif]-->
        
    <?php if ( $headlinefonturl != "" ) {  ?>
    <!-- Web Fonts -->
    <link href='<?php echo $headlinefonturl ?>' rel='stylesheet' type='text/css'>
    <?php } ?>
    
    <?php
		if ( function_exists( 'get_option_tree') ) {
			/* Socials */
			$grandeur_link_facebook = get_option_tree( 'value_sociallinkfacebook');
			$grandeur_link_twitter = get_option_tree( 'value_sociallinktwitter');
			$grandeur_link_googleplus = get_option_tree( 'value_sociallinkgoogleplus');
			$grandeur_link_pinterest = get_option_tree( 'value_sociallinkpinterest');
			$grandeur_link_vimeo = get_option_tree( 'value_sociallinkvimeo');
			$grandeur_link_youtube = get_option_tree( 'value_sociallinkyoutube');
			$grandeur_link_linkedin = get_option_tree( 'value_sociallinklinkedin');
			$grandeur_link_rss = get_option_tree( 'value_sociallinkrss');	
			/* Logo */
			$grandeur_logo = get_option_tree( 'img_logo' );
			if($grandeur_logo==""){$grandeur_logo = get_template_directory_uri().'/img/logo.png';}
			/* Header Top Line */
			$grandeur_headertopline = get_option_tree('value_headertopline', '', false, true );
			if(!is_array($grandeur_headertopline)){ $grandeur_headertopline = array(); }
			$grandeur_headerleft = get_option_tree( 'text_headerleft' );
			$grandeur_headerright = get_option_tree( 'text_headerright' );
			/* Header Search */
			$grandeur_headersearch = get_option_tree('value_headersearch', '', false, true );
			if(!is_array($grandeur_headersearch)){ $grandeur_headersearch = array(); }
			/* Theme Layout */
			$grandeur_themelayout = get_option_tree( 'value_themelayout' );
			if($grandeur_themelayout=="Full-Width"){ $grandeur_wideclass = "wide"; } else { $grandeur_wideclass = ""; }
		}
	?>
</head>

<!--
#######################################
	- THE BODY PART -
######################################
-->
<body <?php body_class(); ?>>

	<?php if(in_array("Yes",$grandeur_headertopline)){ ?>
    <!-- Header Text Line -->
    <div class="headertopwrap <?php echo $grandeur_wideclass ?>">
        <div class="headertop">
            <div class="row"><div class="span12">
                <?php echo $grandeur_headerleft ?><span class="right"><?php echo $grandeur_headerright ?></span>
            </div></div>
        </div>
    </div>
    <?php } ?>
    
    <!-- Main Container -->
    <div class="container">
        
        <!-- Logo & Social -->
        <div class="row header">
            <div class="span7 logo"><a href="<?php echo home_url(); ?>"><img src="<?php echo $grandeur_logo ?>" alt="" /></a></div>
            <div class="span5 social">
                <ul>
                    <?php $grandeur_socialarray = get_option_tree('value_footersocials', '', false, true ); ?>
					<?php if(!is_array($grandeur_socialarray)){ $grandeur_socialarray = array(); } ?>
                	<?php if (in_array("Facebook",$grandeur_socialarray)){ ?>
                		<li><a href="<?php echo $grandeur_link_facebook ?>" class="social_facebook" target="_blank" data-rel="tooltip" title="<?php _e('Facebook', 'grandeur'); ?>"></a></li>
                    <?php } ?>
                    <?php if (in_array("Twitter",$grandeur_socialarray)){ ?>
                    	<li><a href="<?php echo $grandeur_link_twitter ?>" class="social_twitter" target="_blank" data-rel="tooltip" title="<?php _e('Twitter', 'grandeur'); ?>"></a></li>
                    <?php } ?>
                    <?php if (in_array("GooglePlus",$grandeur_socialarray)){ ?>
                    	<li><a href="<?php echo $grandeur_link_googleplus ?>" class="social_googleplus" target="_blank" data-rel="tooltip" title="<?php _e('GooglePlus', 'grandeur'); ?>"></a></li>
                    <?php } ?>
                    <?php if (in_array("Pinterest",$grandeur_socialarray)){ ?>
                    	<li><a href="<?php echo $grandeur_link_pinterest ?>" class="social_pinterest" target="_blank" data-rel="tooltip" title="<?php _e('Pinterest', 'grandeur'); ?>"></a></li>
                    <?php } ?>
                    <?php if (in_array("Vimeo",$grandeur_socialarray)){ ?>
                    	<li><a href="<?php echo $grandeur_link_vimeo ?>" class="social_vimeo" target="_blank" data-rel="tooltip" title="<?php _e('Vimeo', 'grandeur'); ?>"></a></li>
                    <?php } ?>
                    <?php if (in_array("Youtube",$grandeur_socialarray)){ ?>
                    	<li><a href="<?php echo $grandeur_link_youtube ?>" class="social_youtube" target="_blank" data-rel="tooltip" title="<?php _e('Youtube', 'grandeur'); ?>"></a></li>
                    <?php } ?>
                    <?php if (in_array("Linkedin",$grandeur_socialarray)){ ?>
                    	<li><a href="<?php echo $grandeur_link_linkedin ?>" class="social_linkedin" target="_blank" data-rel="tooltip" title="<?php _e('LinkedIn', 'grandeur'); ?>"></a></li>
                    <?php } ?>
                    <?php if (in_array("Rss",$grandeur_socialarray)){ ?>
                    	<li><a href="<?php echo $grandeur_link_rss ?>" class="social_rss" target="_blank" data-rel="tooltip" title="<?php _e('RSS Feed', 'grandeur'); ?>"></a></li>
                    <?php } ?>   
                </ul>
            </div>
        </div>
        
        <!-- Navigation -->
    	<div class="mainmenu row <?php echo $grandeur_wideclass ?>">
        
        	<!-- Regular Main Menu -->
			<?php wp_nav_menu( array( 'menu' => 'navigation', 'container_class' => 'ddsmoothmenu', 'container_id' => 'mainmenu', 'theme_location' => 'navigation', 'link_after' => '<span class="before">&raquo;</span>' ) ); ?>
            
            <?php if(in_array("Yes",$grandeur_headersearch)){ ?>
            <!-- Header Search -->
            <div class="headersearch">
                <?php get_search_form(); ?> 
            </div>
            <?php } ?> 
            
		</div>
                 
        <!-- Responsive Main Menu -->
        <div class="row mobilemenu">
            <form id="responsive-menu" action="#" method="post">
                <select>
                    <option value=""><?php _e('Navigation', 'grandeur'); ?></option>
                </select>
            </form>
        </div>