<?php
/*
Template Name: Blog Overview
*/
?>
<?php

	//Language Options
	$grandeur_categoryname = __('<strong>Category</strong>', 'grandeur');
	$grandeur_archivename = __('<strong>Archives</strong>', 'grandeur');
	$grandeur_tags = __('<strong>Tag</strong>', 'grandeur');
	$grandeur_all = __('All', 'grandeur');

	global $wp_query;
    $content_array = $wp_query->get_queried_object();
	if(isset($content_array->ID)){
    	$post_id = $content_array->ID;
	}
	else $post_id=0;
	$template_uri = get_template_directory_uri();

	$pagecustoms = getOptions();
	
	//Blog Style Options
	if ( function_exists( 'get_option_tree') ) {
		$grandeur_archivelayout = get_option_tree( 'value_archivesidebar' );
		$grandeur_blogdate = get_option_tree( 'value_blogoverviewpostdate' );
		$grandeur_bloglayout = get_option_tree( 'value_blogoverviewpostlayout' );
		$grandeur_blogpostino = get_option_tree('value_blogoverviewpostinfo', '', false, true );
		$nopostinfo = "";
		$portfolioheightlock = get_option_tree( 'value_portfoliolock' );
		$portfoliocategorysidebar = get_option_tree( 'value_portfolioarchivesidebar' );
		if(!is_array($grandeur_blogpostino)){ $grandeur_blogpostino = array(); $nopostinfo ="style='display:none;'"; }
	}

	//Sidebar & Blog Style
	if(isset($pagecustoms["grandeur_activate_sidebar"])){
		if (isset($pagecustoms["grandeur_sidebar"])){$sidebar = $pagecustoms["grandeur_sidebar"];}else{$sidebar = "Blog Sidebar";}
		$sidebar_orientation = $pagecustoms["grandeur_sidebar_orientation"];
		$grandeur_activate_sidebar="on";
		$blogfullclass = "";
		$bloglayoutclass = "";
		$blogdateclass = "";
		if($grandeur_blogdate == "Date Box"){
			$post_top_width = 770;
			$post_top_height = "";
			$blogdateclass = "";
			if($grandeur_bloglayout == "Small Media"){
				$bloglayoutclass = "smallmedia";
				$blogdateclass = "nodate";
				$post_top_width = 710;
				$post_top_height = "";
			}
		} else {
			$blogdateclass = "nodate";
			if($grandeur_bloglayout == "Small Media"){
				$post_top_width = 640;
				$post_top_height = 360;
				$bloglayoutclass = "smallmedia";
			}else{
				$post_top_width = 850;
				$post_top_height = "";
				$bloglayoutclass = "";
			}
		}
	}
	else {
		$grandeur_activate_sidebar="off";
		$blogfullclass = "fullblog";
		if($grandeur_blogdate == "Date Box"){
			$post_top_width = 1090;
			$post_top_height = "";
			$blogdateclass = "";
			if($grandeur_bloglayout == "Small Media"){
				$bloglayoutclass = "smallmedia";
				$blogdateclass = "nodate";
				$post_top_width = 710;
				$post_top_height = "";
			}
		} else {
			$post_top_width = 1170;
			$post_top_height = "";
			$blogdateclass = "nodate";
			if($grandeur_bloglayout == "Small Media"){
				$bloglayoutclass = "smallmedia";
				$blogdateclass = "nodate";
				$post_top_width = 710;
				$post_top_height = "";
			}
		}
	}


	//Pagetitle
	if(isset($pagecustoms['grandeur_activate_page_title'])){ $headline = "off";} else {$headline = "on";}
	if(isset($pagecustoms['grandeur_header_title']))$htitle = $pagecustoms['grandeur_header_title']; else $htitle=get_the_title($post_id);
	if(isset($pagecustoms['grandeur_title_orientation']))$title_orientation = $pagecustoms["grandeur_title_orientation"]; else $title_orientation = "left";
	if($title_orientation == "left"){
		$torient = "";
	} else if($title_orientation == "center"){
		$torient = "text-align: center;";
	}
	
	if(have_posts()) $current_cat = get_the_category();
	
	if(is_category() || is_archive()){
		if(is_category()){
			$htitle = $grandeur_categoryname." ".$current_cat[0]->cat_name;
			
			if($grandeur_archivelayout=="Full-Width"){
				$grandeur_activate_sidebar="off";
				$blogfullclass = "fullblog";
				$withsidebarmod = "";
			}else if($grandeur_archivelayout=="Sidebar Left"){
				$grandeur_activate_sidebar="on";
				$sidebar_orientation ="left";
				$withsidebarmod = "withsidebar";
			}else if($grandeur_archivelayout=="Sidebar Right"){
				$grandeur_activate_sidebar="on";
				$sidebar_orientation ="right";
				$withsidebarmod = "withsidebar";
			}
			$bloglayoutclass = "";
			$sidebar = "Blog Sidebar";
		}
	
		elseif(is_archive()){
			wp_link_pages();
			if(is_tax()){
				if(isset($wp_query->query_vars['taxonomy']) && taxonomy_exists($wp_query->query_vars['taxonomy'])) {
					$value    = get_query_var($wp_query->query_vars['taxonomy']);
					if (term_exists($wp_query->query_vars['term'])) {
						$term = get_term_by( 'slug', get_query_var( 'term'  ),$wp_query->query_vars['taxonomy'] );
						$htitle_cat = $term->name;
					}
				}
	
				$tax_slug = get_post_type();
				$display_span = "fourcol";
				$portfolio_slugs = get_option("grandeur_portfolio_slug");
				$portfolio_counter = 0;
				$portfolio_name = get_option("grandeur_portfolio_name");
					foreach ( $portfolio_slugs as $slug ){
						if($slug == $tax_slug) break;
						else $portfolio_counter++;
					}
				$htitle = "<strong>".$portfolio_name[$portfolio_counter]."</strong> ".$htitle_cat;
				
				if($portfoliocategorysidebar=="Full-Width"){
					$grandeur_activate_sidebar="off";
					$blogfullclass = "fullblog";
					$withsidebarmod = "";
				}else if($portfoliocategorysidebar=="Sidebar Left"){
					$grandeur_activate_sidebar="on";
					$sidebar_orientation ="left";
					$withsidebarmod = "withsidebar";
				}else if($portfoliocategorysidebar=="Sidebar Right"){
					$grandeur_activate_sidebar="on";
					$sidebar_orientation ="right";
					$withsidebarmod = "withsidebar";
				}
				$bloglayoutclass = "";
				$sidebar = "Blog Sidebar";
			}
			else{
				$htitle = $grandeur_archivename." ".single_month_title(' ', false);
				
				if($grandeur_archivelayout=="Full-Width"){
					$grandeur_activate_sidebar="off";
					$blogfullclass = "fullblog";
					$withsidebarmod = "";
				}else if($grandeur_archivelayout=="Sidebar Left"){
					$grandeur_activate_sidebar="on";
					$sidebar_orientation ="left";
					$withsidebarmod = "withsidebar";
				}else if($grandeur_archivelayout=="Sidebar Right"){
					$grandeur_activate_sidebar="on";
					$sidebar_orientation ="right";
					$withsidebarmod = "withsidebar";
				}
				$bloglayoutclass = "";
				$sidebar = "Blog Sidebar";
			}
		}
	}

	if(is_tag()) $htitle = $grandeur_tags." ".single_tag_title(' ', false);

	get_header();
?>

<?php if ($headline!="off"){ ?>
<!-- Page Title -->   
<div class="row pagetitle"><h1 style="<?php echo $torient;?>"><?php echo $htitle;?></h1></div>
<?php } ?>

<!-- Body -->
<div class="row">
	
	<?php 
    //If this is the Blog
    if(!is_tax()){?>
    
        <!-- Content -->
        <?php if ($grandeur_activate_sidebar=="on" && $sidebar_orientation =="right") { ?>
        <div class="span9 left">
        <div class="pagewrapright">
        <?php } else if ($grandeur_activate_sidebar=="on" && $sidebar_orientation =="left") { ?>
        <div class="span9 right">
        <div class="pagewrapleft">
        <?php } else { ?>
        <div class="span12 <?php echo $blogfullclass;?>">
        <?php } ?>

        <!--
        #################################
            -	BLOG	-
        #################################
        -->
        
		<?php if(have_posts()) :
        while(have_posts()) : the_post();
		
			//Post Time & Info
			$post_time_day = get_post_time('j', true);
			$post_time_month = date_i18n('M', strtotime($post->post_date_gmt));
			$post_time_year = get_post_time('Y', true);
			$post_time_daymonthyear = date_i18n(get_option('date_format'), strtotime($post->post_date_gmt));

			$postcustoms = getOptions($post->ID);
			$post_top="";
			
			//Post Type related Object to display in the Head Area of the post
			if(isset($postcustoms["grandeur_post_type"]))
			switch ($postcustoms["grandeur_post_type"]) {
				case 'image':
					$blogimageurl="";
					$blogimageurl = aq_resize(wp_get_attachment_url( get_post_thumbnail_id($post->ID) ),$post_top_width,$post_top_height,true);																															
					if($blogimageurl!=""){
						$post_top = '<a href="'.get_permalink().'" title="'.get_the_title().'"><img src="'.$blogimageurl.'" alt=""></a>';
					}
				break;
				case 'video':
					$video_width = $postcustoms["grandeur_video_width"];
					$video_height = $postcustoms["grandeur_video_height"];

					if($video_width>$post_top_width)
						$video_width_ratio = $video_width/$post_top_width;
					else
						$video_width_ratio = $post_top_width/$video_width;

					$video_height = round($video_height*$video_width_ratio);
					$video_width = $post_top_width;

					if($postcustoms["grandeur_video_type"]=="youtube"){
						$post_top = '<div class="scalevid"><iframe src="http://www.youtube.com/embed/'.$postcustoms["grandeur_youtube_id"].'?hd=1&amp;wmode=opaque&amp;autohide=1&amp;showinfo=0" width="'.$postcustoms["grandeur_video_width"].'" height="'.$postcustoms["grandeur_video_height"].'" style="border:0"></iframe></div>';
					}
					elseif ($postcustoms["grandeur_video_type"]=="vimeo") {
						$post_top = '<div class="scalevid"><iframe src="http://player.vimeo.com/video/'.$postcustoms["grandeur_vimeo_id"].'?title=0&amp;byline=0&amp;portrait=0&amp;color=ffffff" width="'.$postcustoms["grandeur_video_width"].'" height="'.$postcustoms["grandeur_video_height"].'" style="border:0"></iframe></div>';
					}
				break;

				case 'slider':
						$grandeur_slider = $postcustoms["grandeur_slider"];
						$post_top = do_shortcode('[rev_slider '.$grandeur_slider.']');
				break;

				default:
				$post_top = "";
				break;
			}
	
			$entrycategory = "";
			if(is_tax()){
				$entrycategory = get_the_term_list( '', "category_".$tax_slug, '', ', ', '' );
			} else {
				foreach((get_the_category()) as $category) {
					$entrycategory .= ', <a href="'.get_category_link($category->term_id ).'">'.$category->cat_name.'</a>';
				}
				$entrycategory = substr($entrycategory, 2);
			} ?>
            
            <?php if($grandeur_bloglayout == "Small Media" && $post_top==""){ 
				$bloglayoutclass = "";
			} ?>
		
            <div class="blogpost <?php echo $bloglayoutclass;?> <?php echo $blogdateclass;?>" id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                <div class="date">
                    <div class="month"><?php echo $post_time_month;?></div><div class="day"><?php echo $post_time_day;?></div><div class="year"><?php echo $post_time_year;?></div>
                </div>
                <div class="post">
                    
                    <?php if($grandeur_bloglayout == "Small Media"){ ?>
                        <?php if ($post_top!=""){?>
                            <div class="postmedia">
                                <?php echo $post_top; ?>
                            </div>
                        <?php } ?>
                    <?php } ?>
                    
                    <div class="postbody">
                    
                        <?php if($grandeur_bloglayout == "Large Media"){ ?>
                            <?php if ($post_top!=""){?>
                                <div class="postmedia">
                                    <?php echo $post_top; ?>
                                </div>
                            <?php } ?>
                        <?php } ?>
                        
                        <h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
                        <div class="posttext"><?php the_excerpt(); ?></div>
                        <div class="postinfo" <?php echo $nopostinfo; ?>>
                            <?php if (in_array("Date",$grandeur_blogpostino)){ ?><div class="time"><i class="icon-time"></i><?php echo $post_time_daymonthyear; ?></div><?php } ?>
                            <?php if (in_array("Author",$grandeur_blogpostino)){ ?><div class="author"><i class="icon-pencil"></i><?php the_author_posts_link(); ?></div><?php } ?>
                            <?php if (in_array("Categories",$grandeur_blogpostino)){ ?><div class="categories"><i class="icon-folder-open"></i><?php echo $entrycategory; ?></div><?php } ?>
                            <?php if (in_array("Comments",$grandeur_blogpostino) && comments_open()){ ?><div class="comments"><i class="icon-comment"></i><?php comments_popup_link(__('No Comments', 'grandeur'), __('One Comment', 'grandeur'), __( '% Comments', 'grandeur')); ?></div><?php } ?>
                            <?php if (in_array("Tags",$grandeur_blogpostino) && has_tag()){ ?><div class="tags"><i class="icon-tags"></i><?php echo the_tags('', ', ', ''); ?></div><?php } ?>
                            <?php if (in_array("Read More",$grandeur_blogpostino)){ ?><div class="readmore"><a href="<?php the_permalink(); ?>"><?php _e('Read More &raquo;', 'grandeur'); ?></a></div><?php } ?>
                        </div>
                        
                    </div>
                    
                    <div class="postdivider"></div>
                </div>
            </div>
            
            <?php  if($grandeur_bloglayout == "Small Media"){ $bloglayoutclass = "smallmedia"; } ?>
        
        <!-- Loop End -->
        <?php endwhile; ?>
		
        <!-- Content End -->
        <?php if ($grandeur_activate_sidebar=="on" && $sidebar_orientation =="right") { ?>
        </div>
            <?php if(function_exists('pagination')){ pagination(); }else{ paginate_links(); } ?>
        </div>
        <?php } else if ($grandeur_activate_sidebar=="on" && $sidebar_orientation =="left") { ?>
        </div>
            <?php if(function_exists('pagination')){ pagination(); }else{ paginate_links(); } ?>
        </div>
        <?php } else { ?>
            <?php if(function_exists('pagination')){ pagination(); }else{ paginate_links(); } ?>
        </div>
        <?php } ?>
    
        <?php else : ?>
            <div>
				<h4 style="text-align:center; margin-bottom: 500px;"><?php _e('Oops, we could not find what you were looking for...', 'grandeur'); ?></h4>
            </div>
        <?php endif; ?>
        
        <?php //If this is the portfolio
    	} else if(is_tax()){ ?>
        
        	<!-- Content -->
			<?php if ($grandeur_activate_sidebar=="on" && $sidebar_orientation =="right") { ?>
            <div class="span9 left">
            <div class="pagewrapright">
            <?php } else if ($grandeur_activate_sidebar=="on" && $sidebar_orientation =="left") { ?>
            <div class="span9 right">
            <div class="pagewrapleft">
            <?php } else { ?>
            <div class="span12 <?php echo $blogfullclass;?>">
            <?php } ?>
        
            <!-- Portfolio -->  
            <div class="row <?php echo $display_span; ?> portfoliowrap">
                
                <!-- Portfolio Items -->
                <div class="portfolio <?php echo $withsidebarmod ?>">

                    <?php if ($wp_query->have_posts()) : ?>
                    <?php while ( $wp_query->have_posts() ) : $wp_query->the_post(); 
        
                        $postcustoms = getOptions($post->ID);
                        
                        //Post Type
                        if(isset($postcustoms["grandeur_post_type"])){
                            switch ($postcustoms["grandeur_post_type"]) {
                                case 'video':
                                    if($postcustoms["grandeur_video_type"]=="youtube") $blogimageurl_pp = "http://www.youtube.com/watch?v=".$postcustoms["grandeur_youtube_id"];
                                    elseif($postcustoms["grandeur_video_type"]=="vimeo") $blogimageurl_pp = "http://vimeo.com/".$postcustoms["grandeur_vimeo_id"];
                                    else $blogimageurl_pp = wp_get_attachment_url( get_post_thumbnail_id($post->ID));															
                                break;
                                default:
                                    $blogimageurl_pp = wp_get_attachment_url( get_post_thumbnail_id($post->ID));
                                break;
                            }
                        }
                        
                        //Post Features
                        if(isset($postcustoms["grandeur_item_categories"])) $grandeur_item_categories = "Off";
                        else $grandeur_item_categories = "On";
                        
                        if(isset($postcustoms["grandeur_item_features"])) $grandeur_item_features = $postcustoms['grandeur_item_features'];
                        else $grandeur_item_features = "linkzoom";
                        
                        $p_linkactive = "Off";
                        $p_zoomactive = "Off";
                        if($grandeur_item_features=="link" || $grandeur_item_features=="linkzoom"){ $p_linkactive = "On"; }
                        if($grandeur_item_features=="zoom" || $grandeur_item_features=="linkzoom"){ $p_zoomactive = "On"; }
                        
                        if($grandeur_item_features=="linkzoom"){ $notalonemod = "notalone"; } else { $notalonemod = ""; }
                        
                        $blogimageurl = aq_resize(wp_get_attachment_url( get_post_thumbnail_id($post->ID)),400,$portfolioheightlock,true);
                        
                        $categorylinks = get_the_term_list( '', "category_".$tax_slug, '', ', ', '' );
                    ?>
        
                    <div class="entry">
                        <div class="mediaholder">
                            <img src="<?php echo $blogimageurl; ?>" alt="">
                            <div class="cover"></div>
                            <?php if($p_linkactive=="On"){ ?><a href="<?php the_permalink(); ?>"><div class="link <?php echo $notalonemod; ?>"></div></a><?php } ?>
                            <?php if($p_zoomactive=="On"){ ?><a title="<?php the_title(); ?>" href="<?php echo $blogimageurl_pp; ?>" data-rel="prettyPhoto[prettyphoto_gallery]"><div class="show <?php echo $notalonemod; ?>"></div></a><?php } ?>
                            <h5 class="itemtitle"><a href="#"><?php the_title(); ?></a><?php if($grandeur_item_categories=="On"){ ?><span class="itemcategories"><?php echo $categorylinks ?></span><?php } ?></h5>
                        </div>
                    </div>
                    
                    <?php endwhile; endif; //have_posts ?>
        
                </div>
            </div>
                    
            <!-- Content End -->
            <?php if ($grandeur_activate_sidebar=="on" && $sidebar_orientation =="right") { ?>
            </div>
                <?php if(function_exists('pagination')){ echo'<div class="row" style="margin-top:30px;"></div>'; pagination(); }else{ paginate_links(); } ?>
            </div>
            <?php } else if ($grandeur_activate_sidebar=="on" && $sidebar_orientation =="left") { ?>
            </div>
                <?php if(function_exists('pagination')){ echo'<div class="row" style="margin-top:30px;"></div>'; pagination(); }else{ paginate_links(); } ?>
            </div>
            <?php } else { ?>
                <?php if(function_exists('pagination')){ echo'<div class="row" style="margin-top:30px;"></div>'; pagination(); }else{ paginate_links(); } ?>
            </div>
            <?php } ?>
        
        
        <?php } ?>
        
    	
        <?php if ($grandeur_activate_sidebar=="on"){?>
        <!--
        #####################
            -	SIDEBAR	-
        #####################
        -->
        <div class="span3 right sidebar">
			<div class="row">
    
                <?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar($sidebar) ) : ?>
                    <div class="span3 widget">
                        <div class="footertitle"><h4>Sidebar Widget Area</h4></div>
                        <div class="widgetclass">
                        Please configure this Widget Area in the Admin Panel under Appearance -> Widgets
                        </div><div class="clear"></div>
                    </div>
                <?php endif; ?>
    
        	</div>
        </div>
        <!-- /Sidebar -->
        <?php } ?>
    
    </div><div class="clear"></div>
    <!-- /Body -->

	<!-- Bottom Spacing -->
    <div class="row top80"></div>

</div><!-- /container -->

<?php get_footer(); ?>