<?php
/*
Template Name: Portfolio
*/
?>

<?php
	//Language Options
	$grandeur_all = __('All', 'grandeur');

	global $wp_query;
    $content_array = $wp_query->get_queried_object();
	if(isset($content_array->ID)){
    	$post_id = $content_array->ID;
	}
	else $post_id=0;
	$template_uri = get_template_directory_uri();
	
	//Blog Style Options
	if ( function_exists( 'get_option_tree') ) {
		$portfolioheightlock = get_option_tree( 'value_portfoliolock' );
	}

	//Page Options
	$pagecustoms = getOptions();
	
	//Pagetitle
	if(isset($pagecustoms['grandeur_activate_page_title'])){ $headline = "off";} else {$headline = "on";}
	if(isset($pagecustoms['grandeur_header_title']))$htitle = $pagecustoms['grandeur_header_title']; else $htitle=get_the_title($post_id);
	$title_orientation = $pagecustoms["grandeur_title_orientation"];
	if($title_orientation == "left"){
		$torient = "";
	} else if($title_orientation == "center"){
		$torient = "text-align: center;";
	}

	//Sidebar
	if (isset($pagecustoms["grandeur_activate_sidebar"])){$sideo = $pagecustoms['grandeur_sidebar_orientation'];}else{$sideo = "";}
	if (isset($pagecustoms["grandeur_activate_sidebar"])){$sidebar = $pagecustoms["grandeur_sidebar"];}else{$sidebar = "Page Sidebar";}
	if(isset($pagecustoms["grandeur_activate_sidebar"])){
		if (isset($pagecustoms["grandeur_sidebar"])){$sidebar = $pagecustoms["grandeur_sidebar"];}else{$sidebar = "Page Sidebar";}
		$sidebar_orientation = $pagecustoms["grandeur_sidebar_orientation"];
		$grandeur_activate_sidebar="on";
		$withsidebarmod = "withsidebar";
	} else { $grandeur_activate_sidebar="off"; $withsidebarmod = ""; }

	//Portfolio
	if(isset($pagecustoms["grandeur_portfolio_display_type"])) $grandeur_portfolio_display_type = $pagecustoms["grandeur_portfolio_display_type"];
	else $grandeur_portfolio_display_type = 4;
	if(isset($pagecustoms["grandeur_portfolio_items"])) $grandeur_portfolio_items = $pagecustoms["grandeur_portfolio_items"];
	else $grandeur_portfolio_items = 15;
	
	switch($grandeur_portfolio_display_type){
		case "5":
			$display_span = "fivecol";
		break;
		case "4":
			$display_span = "fourcol";
		break;
		case "3":
			$display_span = "threecol";
		break;
	}
	
	$ptype = $pagecustoms['grandeur_portfolio'];
	$pcat = "category_".$ptype;
	$pcat_array = get_option('grandeur_portfolio_slug');
	$pcat_index = array_search($ptype, $pcat_array);
	$tax_terms = get_terms($pcat);

	get_header();
?>

<?php if ($headline!="off"){ ?>
	<!-- Page Title -->  
    <div class="row pagetitle"><h1 style="<?php echo $torient;?>"><?php echo $htitle;?></h1></div>
<?php } ?>

<!-- Body -->
<div class="row">
	
    <!-- Content -->
	<?php if ($grandeur_activate_sidebar=="on" && $sidebar_orientation =="right") { ?>
    <div class="span9 left">
    <div class="pagewrapright">
    <?php } else if ($grandeur_activate_sidebar=="on" && $sidebar_orientation =="left") { ?>
    <div class="span9 right">
    <div class="pagewrapleft">
	<?php } else { ?>
    <div class="span12">
    <?php } ?>
	
    <!-- Portfolio -->  
    <div class="row <?php echo $display_span; ?> portfoliowrap">

        <!-- Category Filter -->
        <ul class="portfoliofilter clearfix">
            <?php
			if($grandeur_all!="" ){ echo '<li><a class="selected" data-filter="*" href="#">'.$grandeur_all.'</a><span></span></li>'; }
			if(is_array($tax_terms)){
				foreach ( $tax_terms as $tax_term ) {
					$filter_last_item = end($tax_terms);
					if($tax_term!=$filter_last_item){
						echo '<li><a data-filter=".'.$tax_term->slug.'" href="#">'.$tax_term->name.'</a><span></span></li>';
					}else{
						echo '<li><a data-filter=".'.$tax_term->slug.'" href="#">'.$tax_term->name.'</a></li>';
					}
				}
			}
			?>
        </ul>
		
        <!-- Portfolio Items -->
        <div class="portfolio <?php echo $withsidebarmod ?>">
        	
            <?php
			$paged =
				( get_query_var('paged') && get_query_var('paged') > 1 )
				? get_query_var('paged')
				: 1;
			$args=array(
				'post_type' => $ptype,
				'posts_per_page' => $grandeur_portfolio_items,
				'paged' => $paged
			);

			$temp = $wp_query;
			$wp_query = null;
			$wp_query = new WP_Query();
			$wp_query->query($args);
			?>
            
			<?php if ($wp_query->have_posts()) : ?>
            <?php while ( $wp_query->have_posts() ) : $wp_query->the_post(); 

				$postcustoms = getOptions($post->ID);
				
				//Post Type
				if(isset($postcustoms["grandeur_post_type"])){
					switch ($postcustoms["grandeur_post_type"]) {
						case 'video':
							if($postcustoms["grandeur_video_type"]=="youtube") $blogimageurl_pp = "http://www.youtube.com/watch?v=".$postcustoms["grandeur_youtube_id"];
							elseif($postcustoms["grandeur_video_type"]=="vimeo") $blogimageurl_pp = "http://vimeo.com/".$postcustoms["grandeur_vimeo_id"];
							else $blogimageurl_pp = wp_get_attachment_url( get_post_thumbnail_id($post->ID));															
						break;
						default:
							$blogimageurl_pp = wp_get_attachment_url( get_post_thumbnail_id($post->ID));
						break;
					}
				}
				
				//Post Features
				if(isset($postcustoms["grandeur_item_categories"])) $grandeur_item_categories = "Off";
				else $grandeur_item_categories = "On";
				
				if(isset($postcustoms["grandeur_item_features"])) $grandeur_item_features = $postcustoms['grandeur_item_features'];
				else $grandeur_item_features = "linkzoom";
				
				$p_linkactive = "Off";
				$p_zoomactive = "Off";
				if($grandeur_item_features=="link" || $grandeur_item_features=="linkzoom"){ $p_linkactive = "On"; }
				if($grandeur_item_features=="zoom" || $grandeur_item_features=="linkzoom"){ $p_zoomactive = "On"; }
				
				if($grandeur_item_features=="linkzoom"){ $notalonemod = "notalone"; } else { $notalonemod = ""; }
				
				$blogimageurl = aq_resize(wp_get_attachment_url( get_post_thumbnail_id($post->ID)),400,$portfolioheightlock,true);
				
				if($blogimageurl==""){
					$blogimageurl = $template_uri.'/img/demo/400x300.jpg';
				}
				
				$categorylinks = get_the_term_list( $post->ID, $pcat, '', ', ', '' );
				$categories = get_the_terms($post->ID,$pcat);
				$categorylist="";
				if(is_array($categories)){
					foreach ($categories as $category) {
						$categorylist.= $category->slug." ";
					}
				}

			?>

			<div class="entry <?php echo $categorylist; ?>" id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
            	<div class="mediaholder">
                	<img src="<?php echo $blogimageurl; ?>" alt="">
                    <div class="cover"></div>
                    <?php if($p_linkactive=="On"){ ?><a href="<?php the_permalink(); ?>"><div class="link <?php echo $notalonemod; ?>"></div></a><?php } ?>
                    <?php if($p_zoomactive=="On"){ ?><a title="<?php the_title(); ?>" href="<?php echo $blogimageurl_pp; ?>" data-rel="prettyPhoto[prettyphoto_gallery]"><div class="show <?php echo $notalonemod; ?>"></div></a><?php } ?>
                    <h5 class="itemtitle"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a><?php if($grandeur_item_categories=="On"){ ?><span class="itemcategories"><?php echo $categorylinks ?></span><?php } ?></h5>
                </div>
            </div>
            
            <?php endwhile; endif; //have_posts ?>

        </div>
    </div>
            
    <!-- Content End -->
	<?php if ($grandeur_activate_sidebar=="on" && $sidebar_orientation =="right") { ?>
    </div>
        <?php if(function_exists('pagination')){ echo'<div class="row" style="margin-top:30px;"></div>'; pagination(); }else{ paginate_links(); } ?>
    </div>
    <?php } else if ($grandeur_activate_sidebar=="on" && $sidebar_orientation =="left") { ?>
    </div>
        <?php if(function_exists('pagination')){ echo'<div class="row" style="margin-top:30px;"></div>'; pagination(); }else{ paginate_links(); } ?>
    </div>
    <?php } else { ?>
        <?php if(function_exists('pagination')){ echo'<div class="row" style="margin-top:30px;"></div>'; pagination(); }else{ paginate_links(); } ?>
    </div>
    <?php } ?>

    <?php if ($grandeur_activate_sidebar=="on"){?>
    <!--
    #####################
        -	SIDEBAR	-
    #####################
    -->
    <div class="span3 right sidebar">
        <div class="row">

            <?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar($sidebar) ) : ?>
                <div class="span3 widget">
                    <div class="footertitle"><h4>Sidebar Widget Area</h4></div>
                    <div class="widgetclass">
                    Please configure this Widget Area in the Admin Panel under Appearance -> Widgets
                    </div><div class="clear"></div>
                </div>
            <?php endif; ?>

        </div>
    </div>
    <!-- /Sidebar -->
    <?php } ?>
    
</div><div class="clear"></div>
<!-- /Body -->

<!-- Bottom Spacing -->
<div class="row top80"></div>

</div><!-- /container -->

<?php get_footer(); ?>